package com.perisic.beds.Control;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Vector;

/**
 * based on code by: kbaig
 * http://www.knowledgetip.com/index.php/home/software-development/1-java/31-getpostjava
 */
public class HTTPHandler
{
    public static Vector<String> getData(String address, String queryString)
    {
        Vector<String> result = null;
        try
        {
            String urlStr = address;
            if (queryString != null && queryString.length() > 0)
            {
                urlStr += "?" + queryString;
            }
            HttpURLConnection httpUrlConnection =
                    (HttpURLConnection) (new URL(urlStr)).openConnection();

            BufferedReader rd = new BufferedReader(
                    new InputStreamReader(httpUrlConnection.getInputStream()));
            result = new Vector<String>();
            String line;
            while ((line = rd.readLine()) != null)
            {
                result.add(line);
            }
            rd.close();

            httpUrlConnection.disconnect();
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
        return result;
    }
}
