package com.perisic.beds.rmi;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.Vector;

/**
 * This interface lists the methods accessible via RMI
 * @author AH, AM, SA
 */
public interface Recyterface extends Remote
{
    public Vector<String> getFeedback(String cookie) throws RemoteException;
    public int emptyMachine(String cookie) throws RemoteException;
    public int getItemCount(String cookie) throws RemoteException;
    public Vector<String> getDetailedTotal(String cookie) throws RemoteException;
    public String login(String pass) throws RemoteException;
    public String logout() throws RemoteException;
}
