package com.perisic.beds.Machine;

import javax.swing.*;

/**
 * This thread is used to pop up a given feedback window, without rendering the machine unresponsive
 * @author AH, AM, SA
 */
public class FeedbackThread extends Thread
{
    private CustomerPanel cp;

    /**
     * @param panel The feedback window
     */
    public FeedbackThread(CustomerPanel panel)
    {
        cp = panel;
    }

    /**
     * Displays the feedback window and saves the result
     */
    public void run()
    {
        cp.leaveFeedback(JOptionPane.showInputDialog(
                "Please leave your feedback on this machine"));
    }
}
