package com.perisic.beds.Machine;

import javax.swing.*;

/**
 * A Printerface that allows a JTextArea to effectively be printed to.
 * @author AH
 */
public class PrinterArea implements Printerface
{
    private JTextArea jt;

    /**
     * Constructor
     * @param printTarget The JTextArea to be used as a Printerface
     */
    public PrinterArea(JTextArea printTarget)
    {
        jt = printTarget;
    }

    /**
     * Sets the text of the JTextArea
     * @param str The string to be displayed on the receipt.
     */
    public void print(String str)
    {
        jt.setText(str);
    }
}
