package com.perisic.beds.Machine;

import javax.swing.*;

/**
 * This class starts a new thread, waits and then changes the text in a JTextField
 * @author AH
 */
public class BoxReset extends Thread
{
    private JTextField field;

    /**
     * Constructor.
     * @param jt The JTextField to have its' text changed.
     */
    public BoxReset(JTextField jt)
    {
        super();
        field = jt;
    }

    /**
     * Called when the thread starts. Attempts to wait and then modify the JTextfield.
     */
    public void run()
    {
        try
        {
            Thread.sleep(1000);
            field.setText("Please deposit items...");
        }
        catch(InterruptedException e)
        {
            return;
        }
    }
}
