package com.perisic.beds.Machine;

import java.util.Vector;

/**
 * This class handles the feedback that has been left on the machine
 * @author AH, AM, SA
 */
public class Feedback
{
    private Vector<String> feedbackList;

    /**
     * @param feedback feedback string to be saved
     */
    public void leaveFeedback(String feedback)
    {
        if(feedbackList == null)
        {
            feedbackList = new Vector<String>();
        }
        feedbackList.add(feedback);
    }

    /**
     * @return The saved feedback strings
     */
    public Vector<String> getFeedback()
    {
        if(feedbackList == null)
        {
            Vector<String> v = new Vector<String>();
            v.add("No feedback left on this machine");
            return v;
        }
        else
        {
            return feedbackList;
        }
    }
}
